
<!doctype html>
<html lang="en">

<head>
    <title>Code coverage report for backend/middlewares/validators</title>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="../../../prettify.css" />
    <link rel="stylesheet" href="../../../base.css" />
    <link rel="shortcut icon" type="image/x-icon" href="../../../favicon.png" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <style type='text/css'>
        .coverage-summary .sorter {
            background-image: url(../../../sort-arrow-sprite.png);
        }
    </style>
</head>
    
<body>
<div class='wrapper'>
    <div class='pad1'>
        <h1><a href="../../../index.html">All files</a> backend/middlewares/validators</h1>
        <div class='clearfix'>
            
            <div class='fl pad1y space-right2'>
                <span class="strong">59.28% </span>
                <span class="quiet">Statements</span>
                <span class='fraction'>166/280</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">51.87% </span>
                <span class="quiet">Branches</span>
                <span class='fraction'>83/160</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">38.88% </span>
                <span class="quiet">Functions</span>
                <span class='fraction'>7/18</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">59.71% </span>
                <span class="quiet">Lines</span>
                <span class='fraction'>166/278</span>
            </div>
        
            
        </div>
        <p class="quiet">
            Press <em>n</em> or <em>j</em> to go to the next uncovered block, <em>b</em>, <em>p</em> or <em>k</em> for the previous block.
        </p>
    </div>
    <div class='status-line medium'></div>
    <div class="pad1">
<table class="coverage-summary">
<thead>
<tr>
   <th data-col="file" data-fmt="html" data-html="true" class="file">File</th>
   <th data-col="pic" data-type="number" data-fmt="html" data-html="true" class="pic"></th>
   <th data-col="statements" data-type="number" data-fmt="pct" class="pct">Statements</th>
   <th data-col="statements_raw" data-type="number" data-fmt="html" class="abs"></th>
   <th data-col="branches" data-type="number" data-fmt="pct" class="pct">Branches</th>
   <th data-col="branches_raw" data-type="number" data-fmt="html" class="abs"></th>
   <th data-col="functions" data-type="number" data-fmt="pct" class="pct">Functions</th>
   <th data-col="functions_raw" data-type="number" data-fmt="html" class="abs"></th>
   <th data-col="lines" data-type="number" data-fmt="pct" class="pct">Lines</th>
   <th data-col="lines_raw" data-type="number" data-fmt="html" class="abs"></th>
</tr>
</thead>
<tbody><tr>
	<td class="file high" data-value="auth.js"><a href="auth.js.html">auth.js</a></td>
	<td data-value="100" class="pic high">
	<div class="chart"><div class="cover-fill cover-full" style="width: 100%"></div><div class="cover-empty" style="width: 0%"></div></div>
	</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="8" class="abs high">8/8</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="2" class="abs high">2/2</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="1" class="abs high">1/1</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="8" class="abs high">8/8</td>
	</tr>

<tr>
	<td class="file medium" data-value="googleOAuth.js"><a href="googleOAuth.js.html">googleOAuth.js</a></td>
	<td data-value="50" class="pic medium">
	<div class="chart"><div class="cover-fill" style="width: 50%"></div><div class="cover-empty" style="width: 50%"></div></div>
	</td>
	<td data-value="50" class="pct medium">50%</td>
	<td data-value="16" class="abs medium">8/16</td>
	<td data-value="0" class="pct low">0%</td>
	<td data-value="2" class="abs low">0/2</td>
	<td data-value="0" class="pct low">0%</td>
	<td data-value="3" class="abs low">0/3</td>
	<td data-value="50" class="pct medium">50%</td>
	<td data-value="16" class="abs medium">8/16</td>
	</tr>

<tr>
	<td class="file low" data-value="menuValidator.js"><a href="menuValidator.js.html">menuValidator.js</a></td>
	<td data-value="40.22" class="pic low">
	<div class="chart"><div class="cover-fill" style="width: 40%"></div><div class="cover-empty" style="width: 60%"></div></div>
	</td>
	<td data-value="40.22" class="pct low">40.22%</td>
	<td data-value="87" class="abs low">35/87</td>
	<td data-value="36.53" class="pct low">36.53%</td>
	<td data-value="52" class="abs low">19/52</td>
	<td data-value="20" class="pct low">20%</td>
	<td data-value="5" class="abs low">1/5</td>
	<td data-value="40.69" class="pct low">40.69%</td>
	<td data-value="86" class="abs low">35/86</td>
	</tr>

<tr>
	<td class="file medium" data-value="orderMenu.js"><a href="orderMenu.js.html">orderMenu.js</a></td>
	<td data-value="77.14" class="pic medium">
	<div class="chart"><div class="cover-fill" style="width: 77%"></div><div class="cover-empty" style="width: 23%"></div></div>
	</td>
	<td data-value="77.14" class="pct medium">77.14%</td>
	<td data-value="70" class="abs medium">54/70</td>
	<td data-value="66.07" class="pct medium">66.07%</td>
	<td data-value="56" class="abs medium">37/56</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="2" class="abs high">2/2</td>
	<td data-value="77.14" class="pct medium">77.14%</td>
	<td data-value="70" class="abs medium">54/70</td>
	</tr>

<tr>
	<td class="file high" data-value="orders.js"><a href="orders.js.html">orders.js</a></td>
	<td data-value="92.68" class="pic high">
	<div class="chart"><div class="cover-fill" style="width: 92%"></div><div class="cover-empty" style="width: 8%"></div></div>
	</td>
	<td data-value="92.68" class="pct high">92.68%</td>
	<td data-value="41" class="abs high">38/41</td>
	<td data-value="95" class="pct high">95%</td>
	<td data-value="20" class="abs high">19/20</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="2" class="abs high">2/2</td>
	<td data-value="92.68" class="pct high">92.68%</td>
	<td data-value="41" class="abs high">38/41</td>
	</tr>

<tr>
	<td class="file low" data-value="users.js"><a href="users.js.html">users.js</a></td>
	<td data-value="39.65" class="pic low">
	<div class="chart"><div class="cover-fill" style="width: 39%"></div><div class="cover-empty" style="width: 61%"></div></div>
	</td>
	<td data-value="39.65" class="pct low">39.65%</td>
	<td data-value="58" class="abs low">23/58</td>
	<td data-value="21.42" class="pct low">21.42%</td>
	<td data-value="28" class="abs low">6/28</td>
	<td data-value="20" class="pct low">20%</td>
	<td data-value="5" class="abs low">1/5</td>
	<td data-value="40.35" class="pct low">40.35%</td>
	<td data-value="57" class="abs low">23/57</td>
	</tr>

</tbody>
</table>
</div>
                <div class='push'></div><!-- for sticky footer -->
            </div><!-- /wrapper -->
            <div class='footer quiet pad2 space-top1 center small'>
                Code coverage generated by
                <a href="https://istanbul.js.org/" target="_blank">istanbul</a>
                at Tue Dec 28 2021 20:20:35 GMT+0800 (Central Indonesia Time)
            </div>
        </div>
        <script src="../../../prettify.js"></script>
        <script>
            window.onload = function () {
                prettyPrint();
            };
        </script>
        <script src="../../../sorter.js"></script>
        <script src="../../../block-navigation.js"></script>
    </body>
</html>
    